Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 683780 - Review Request: rubygem-gem-open - Open gems on your favorite editor by running gem open command
Summary: Review Request: rubygem-gem-open - Open gems on your favorite editor by runni...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-03-10 11:32 UTC by Jan Klepek
Modified: 2015-12-04 02:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 02:14:55 UTC


Attachments (Terms of Use)

Description Jan Klepek 2011-03-10 11:32:25 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-gem-open.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/rubygem-gem-open-0.1.3-1.fc14.src.rpm
Description: Open gems on your favorite editor by running a specific gem 
command like `gem open package`.

Comment 1 Prathamesh Sonpatki 2012-06-10 11:50:58 UTC
Informal Review

<prathamesh> .fasinfo hpejakle
<zodbot> User: hpejakle, Name: Jan Klepek, email: jan.klepek@gmail.com, Creation: 2009-03-18, IRC Nick: wwwnick, Timezone: UTC, Locale: en, GPG key ID: , Status: active
<zodbot> Approved Groups: cla_fedora cla_done packager fedorabugs cla_fpca
No need of FE-NEEDSPONSOR

+ OK
- NA
X Issue

X Required Ruby version not mentioned. Each Ruby package must indicate the Ruby   
  ABI version it depends .
  for eg. Requires: ruby(abi) = 1.9.1
+ Package meets naming and packaging guidelines.
+ Definition of  %{gem_name} in spec file matches with the name from the Gem's 
  specification.
+ Spec has consistent macro usage.
X Version is not matching with Gem's version.
X BuildRequires: rubygems-devel is not present.
+ Spec in American English.
+ Spec is legible.
+ Package has no duplicate files in %files.
X License field in spec doesn't match with source.
X No rpmlint output.
➜  rpmbuild  rpmlint SPECS/rubygem-gem-open.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
➜  rpmbuild  rpmlint SRPMS/rubygem-gem-open-0.1.3-1.fc17.src.rpm 
rubygem-gem-open.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


+ Changelog.

Comment 2 Jason Tibbitts 2013-04-30 16:39:52 UTC
I can't tell which version of the ruby packaging guidelines to which this was written.  It certainly isn't the current ones since this package predates them, nor does it appear to be the ones which are current for any Fedora release.

Please consider updating this package to current ruby guidelines.

Comment 3 Ken Dreyer 2013-12-31 01:50:27 UTC
Hi Jan, are you still interested in packaging this?

Comment 4 James Hogarth 2015-12-04 02:14:55 UTC
As there has been no response to the needinfo from the requester in over a week this bug is being closed as per policy.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.